## wifiphisher 1.4+git20250204

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Wifiphisher
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## wifiphisher 1.4+git20220707

=== debian/changelog ===
wifiphisher (1.4+git20220707-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:40:21 +0200

wifiphisher (1.4+git20220707-0kali1) kali-dev; urgency=medium

  * New upstream release.

 -- Steev Klimaszewski <steev@kali.org>  Tue, 25 Oct 2022 13:09:12 -0500

wifiphisher (1.4+git20200611-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 1.4+git20200611
  * Remove useless patch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Oct 2020 15:55:30 +0200

wifiphisher (1.4+git20191215-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 1.4+git20191215
  * Switch package to Python 3
  * Use debhelper-compat 12
  * Refresh patches
  * Bump Standards-Version to 4.5.0
  * Add minimal required version for python3-pyric (to fix issue in Python 3)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 31 Jan 2020 14:38:58 +0100

wifiphisher (1.4+git20180525-0kali2) kali-dev; urgency=medium

  * Add missing depends: iptables

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Oct 2018 15:40:38 +0200

wifiphisher (1.4+git20180525-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 May 2018 14:53:08 +0200

wifiphisher (1.4-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 May 2018 14:55:45 +0200

wifiphisher (1.1+git20160725-0kali2) kali-dev; urgency=medium

  * Add missing dependency (python-pyric)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 Jul 2016 20:54:55 +0200

wifiphisher (1.1+git20160725-0kali1) kali-dev; urgency=medium

  * Initial release (Closes: 0003421)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 25 Jul 2016 10:54:37 +0200

=== debian/control ===
Source: wifiphisher
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (=12),
               dh-python,
               dnsmasq-base,
               libnl-3-dev,
               libnl-genl-3-dev,
               libssl-dev,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.5.0
Homepage: https://github.com/sophron/wifiphisher

Package: wifiphisher
Architecture: all
Depends: cowpatty,
         dnsmasq-base,
         hostapd,
         iptables,
         net-tools,
         python3-pyric (>= 0.1.6+git20191210),
         ${misc:Depends},
         ${python3:Depends}
Description: Automated phishing attacks against Wi-Fi networks
 This package contains a security tool that mounts automated phishing attacks
 against Wi-Fi networks in order to obtain secret passphrases or other
 credentials. It is a social engineering attack that unlike other methods it
 does not include any brute forcing. It is an easy way for obtaining credentials
 from captive portals and third party login pages or WPA/WPA2 secret
 passphrases.

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d[\d.]*)\.tar\.gz/wifiphisher-$1.tar.gz/" \
https://github.com/sophron/wifiphisher/tags .*/v?(\d[\d.]*)\.tar\.gz debian uupdate

## wifiphisher 1.4+git20250204

=== debian/changelog ===
wifiphisher (1.4+git20250204-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Arnaud Rebillout ]
  * Bump debhelper-compat to 13
  * Update d/watch to v5
  * Update d/watch to track git head
  * New upstream version 1.4+git20250204

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 07 Jan 2026 11:28:22 +0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: wifiphisher
 Section: net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Build-Depends: debhelper-compat (=12),
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dnsmasq-base,
                libnl-3-dev,
@@ -13,8 +13,10 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sophron/wifiphisher
+Vcs-Git: https://gitlab.com/kalilinux/packages/wifiphisher.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/wifiphisher
 
 Package: wifiphisher
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=wifiphisher

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# don't run the tests (failures)

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator

override_dh_auto_clean:

=== debian/watch ===
Version: 5

Source: https://github.com/sophron/wifiphisher
Mode: git
Matching-Pattern: HEAD
Pgpmode: none
Git-Pretty: 1.4+git%cd
